      Subroutine LayDisp

      USE WINTERACTER
      USE BLK1MOD
!
      include 'd.inc'
!      INCLUDE 'BLK1.COM'

      INCLUDE 'TXFRM.COM'
!IPK MAY02       COMMON  /TXFRM/  XS, YS, TXSCAL 
!
!
! Declare window-type and message variables
!
      TYPE(WIN_STYLE)    :: WINDOW

      TYPE(WIN_MESSAGE) :: MESSAGE
      
      INTEGER            :: INODE,IBOX,NN
      INTEGER           :: IERR
      CHARACTER*1       :: IFLAG
      
      DATA INODE/1/
 
      CALL WMessageBox(OKOnly,ExclamationIcon,CommonOK,'Select node','CHOOSE NODE')
      IBOX=1 
      CALL PROX(CORD(1,1),CORD(1,2),NP,XX,YY,INODE,IFLAG,INSKP,IBOX)  
 
   100 continue
      call wdialogload(IDD_LAY)
      ierr=infoerror(1)


      IF(ILAYTP .EQ. 1) THEN
        call wdialogputRadioButton(idf_radio1)
	  ELSE
        call wdialogputRadioButton(idf_radio2)
      ENDIF
	  lno=lay(INODE)
      CALL WDialogPutINTEGER(IDF_INTEGER1,lno)
       do i=1,7
         CALL WGridPutCellReal(IDF_GRID1,i,1,wtlay(INODE,i))
       enddo


      CALL WDialogSelect(IDD_LAY)
      ierr=infoerror(1)
 
      CALL WDialogShow(-1,-1,0,Modal)
      ierr=infoerror(1)
      do
         IF (WInfoDialog(ExitButton) .EQ. IDOK) THEN

           call wdialoggetradiobutton(idf_radio1,ilaytp)

           CALL WDialogGetINTEGER(IDF_INTEGER1,lno)
		   lay(INODE)=lno
           do i=1,7
             CALL WGridGetCellReal(IDF_GRID1,i,1,wtlay(INODE,i))
           enddo
           return
         ELSEIF (WInfoDialog(ExitButton) .EQ. IDCANCEL) THEN
		   RETURN
         endif
!IPK SEP02
  	     return
      enddo
      RETURN
      END                                           
